Page MenuHomePhabricator

SecurePoll extension erroneously adds <p> tags to vote input title attributes (tooltips)
Closed, ResolvedPublic

Description

The tooltip contains <p>

When I visited
https://wikimedia.amellus.net/index.php/Special:SecurePoll/vote/230
I noticed some <p> tags being displayed in the tooltips...

I think they shouldn't be there


Version: unspecified
Severity: trivial

Attached:

Details

Reference
bz30399
Related Gerrit Patches:
mediawiki/extensions/SecurePoll : masterRefactor tooltip patch that removes <p> tags

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:54 PM
bzimport set Reference to bz30399.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Aug 16 2011, 4:48 PM

Confirmed that this is a bug. I've just encountered this issue at https://en.wikipedia.org/wiki/Special:SecurePoll/vote/259. The relevant HTML looks like this:


<input name="securepoll_q260_opt265" type="radio" value="0" checked="checked" title="&lt;p&gt;No vote&#10;&lt;/p&gt;" />

The title attribute should be simply "No vote" in this case. For some reason, the text is erroneously getting wrapped in (escaped) <p></p> tags.

I'm marking this bug with the "easy" keyword as it should be trivial to resolve.

Fhocutt closed this task as Resolved.Jul 29 2015, 10:10 PM
Fhocutt assigned this task to drdee.
Fhocutt removed a project: Patch-For-Review.
Fhocutt set Security to None.

Change 227903 had a related patch set uploaded (by Fhocutt):
Refactor tooltip patch that removes <p> tags

https://gerrit.wikimedia.org/r/227903

Change 227903 merged by jenkins-bot:
Refactor tooltip patch that removes <p> tags

https://gerrit.wikimedia.org/r/227903